> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitoearn.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Session Details

> Get an Agent session owned by the account of the current API Key.



## OpenAPI

````yaml /openapi/en/aitoearn.openapi.json get /api/agent/sessions/{sessionId}
openapi: 3.0.1
info:
  title: AiToEarn Open Platform API
  description: >-
    AiToEarn Open Platform API. You can switch between the China and
    international sites for testing. Business success is determined by whether
    the response body has code === 0.
  version: 1.0.0
  contact: {}
servers:
  - url: https://aitoearn.cn
    description: China site
  - url: https://aitoearn.ai
    description: International site
security: []
tags:
  - name: AI Services
  - name: AI Services/Video Generation
  - name: AI Services/Image Generation
  - name: Channel Management
  - name: Channel Management/Accounts
  - name: Channel Management/Publishing
  - name: Channel Management/Platforms
  - name: Channel Management/Works
  - name: Channel Management/Account Groups
  - name: Channel Management/Authorization
  - name: Asset Management
  - name: AI Services/Large Language Models
  - name: AI Services/Real-person Assets
  - name: AI Services/Agent
paths:
  /api/agent/sessions/{sessionId}:
    get:
      tags:
        - AI Services/Agent
      summary: Session Details
      description: Get an Agent session owned by the account of the current API Key.
      operationId: AgentController_getSession
      parameters:
        - name: sessionId
          in: path
          required: true
          description: Session ID.
          schema:
            type: string
            description: Session ID.
      responses:
        '200':
          description: >-
            The request has been processed by the service. Business success is
            determined by whether the response body has code === 0.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        description: Session ID.
                      title:
                        type: string
                        description: >-
                          Session title. It appears after the title is generated
                          for a new session.
                      status:
                        type: string
                        enum:
                          - active
                          - waiting_approval
                          - waiting_task
                          - waiting_resume
                          - completed
                          - cancelled
                        description: >-
                          Session status. active means running, waiting_approval
                          means waiting for tool approval, waiting_task means
                          waiting for an async task, waiting_resume means
                          waiting to resume, completed means finished, and
                          cancelled means aborted.
                      points:
                        type: number
                        description: Credits consumed by this session.
                      createdAt:
                        type: string
                        format: date-time
                        description: Created at.
                      updatedAt:
                        type: string
                        format: date-time
                        description: Updated at.
                    required:
                      - id
                      - status
                      - points
                      - createdAt
                      - updatedAt
                    additionalProperties: false
                  code:
                    type: integer
                    description: >-
                      Business status code. 0 means success; non-zero means a
                      business error.
                  message:
                    type: string
                    description: Response message.
                  requestId:
                    type: string
                    description: Request ID.
                  timestamp:
                    type: integer
                    description: Error response timestamp in Unix milliseconds.
                required:
                  - code
                  - message
              examples:
                success:
                  summary: Success
                  value:
                    code: 0
                    message: Request succeeded
                    data:
                      id: string
                      status: active
                      points: 1
                      createdAt: '2026-07-02T12:00:00.000Z'
                      updatedAt: '2026-07-02T12:00:00.000Z'
                      title: string
                validationFailed10002:
                  summary: ValidationFailed (10002)
                  value:
                    code: 10002
                    message: Parameter validation failed
                    data: {}
                    timestamp: 1772099056662
                unauthorized401:
                  summary: Unauthenticated or invalid API Key
                  value:
                    code: 401
                    message: Unauthorized
                    data: {}
                    timestamp: 1772099056662
                agentSessionNotFound18104:
                  summary: AgentSessionNotFound (18104)
                  value:
                    code: 18104
                    message: Agent session not found
                    data: {}
                    timestamp: 1772099056662
      security:
        - apikey-header-X-Api-Key: []
components:
  securitySchemes:
    apikey-header-X-Api-Key:
      type: apiKey
      in: header
      name: X-Api-Key
      description: >-
        Need to get API Key from AiToEarn. Click to go to ["API Key Obtaining
        Tutorial"](/en/use/api-key).

````